Bug 166201 - Review Request: perl-Ima-DBI : Database connection caching and organization
Summary: Review Request: perl-Ima-DBI : Database connection caching and organization
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Grau
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Ima-DBI/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 166184
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:49 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 04:31:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-08-17 20:49:00 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Ima-DBI.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Ima-DBI-0.33-2.src.rpm

Description: 

Database connection caching and organization

(NOTE: This package is one of the Maypole dependencies)

Comment 1 Chris Grau 2005-08-17 23:40:23 UTC
This package requires perl(Class::WhiteHole), but I can't find it with a yum
provides or in a review request.  Once that's available, I'll be happy to review
this package.

Comment 2 Tom "spot" Callaway 2005-08-18 03:15:56 UTC
perl-Class-Whitehole provides it...

Comment 3 Chris Grau 2005-08-18 03:56:02 UTC
(In reply to comment #2)
> perl-Class-Whitehole provides it...

Oh.  I wonder why yum provides didn't find it.  Anyway, I'll ignore the obvious
package name mismatch and start my review.

Comment 4 Chris Grau 2005-08-18 04:15:02 UTC
Review:

- rpmlint clean
- package name okay
- spec file name okay
- meets PackagingGuidelines
- license okay
- license matches upstream
- spec file in am. english (and legible)
- source matches upstream
- builds on FC-4
- BR looks good
- no locales
- not relocatable
- owns all created directories
- no duplicate %files
- file permissions okay
- %clean okay
- consistent use of macros
- code, not content
- no -docs package
- no -devel package

Nitpicks:

- BuildRequires: perl >= 1:5.6.1
- make without %{_smp_mflags}
- README not in %doc.  This was going to be a needswork, but the README is just
a copy of the Ima::DBI POD--and not even formatted at that--so it'd be a waste
to include in %doc.

Looks good.  Approved.


Note You need to log in before you can comment on or make changes to this bug.